Bug 1654217 - Dynlfow undefined method `dynflow_logger'
Summary: Dynlfow undefined method `dynflow_logger'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Jan Hutař
URL:
Whiteboard:
: 1647979 (view as bug list)
Depends On:
Blocks: 1628638 1665461
TreeView+ depends on / blocked
 
Reported: 2018-11-28 09:38 UTC by Ivan Necas
Modified: 2019-10-07 17:17 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-dynflow-1.1.3-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1665461 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:39:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:16 UTC
Foreman Issue Tracker 25566 None None None 2018-11-28 09:41:31 UTC

Description Ivan Necas 2018-11-28 09:38:59 UTC
Description of problem:
Memory recycler on sat 6.4 doesn't work, and leads to executor not working properly, nor restarting

Version-Release number of selected component (if applicable):
sat 6.4+

How reproducible:
always

Steps to Reproduce:
1. configure the following options in /etc/sysconfig/dynflowd:EXECUTOR_MEMORY_MONITOR_DELAY=60 EXECUTOR_MEMORY_MONITOR_INTERVAL=60 EXECUTOR_MEMORY_LIMIT=400mb
2. restart foreman-tasks (dynflowd) service
3. start various tasks (rex jobs, repo syncs or publish/promote might be good candidates)

Actual results:
At the first memory check event, an error occurs, and the dynlfow stops processing the requests.

Expected results:
The recycle works as expected

Additional info:

in /var/log/foreman/dynflow_executor.output there is the following message:

E, [2018-11-27T17:30:34.887429 #20326] ERROR -- /clock: undefined method `dynflow_logger' for #<Dynflow::World:0x000000000abd60c8> (NoMethodError)
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.5/lib/dynflow/rails/daemon.rb:150:in `log_memory_within_limit'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.5/lib/dynflow/rails/daemon.rb:135:in `block in initialize_memory_watcher'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.5/lib/dynflow/watchers/memory_consumption_watcher.rb:26:in `check_memory_state'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.5/lib/dynflow/clock.rb:40:in `apply'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.5/lib/dynflow/clock.rb:87:in `run_ready_timers'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.5/lib/dynflow/clock.rb:70:in `tick'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.5/lib/dynflow/actor.rb:6:in `on_message'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/context.rb:46:in `on_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/executes_context.rb:7:in `on_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-1.0.5/lib/dynflow/actor.rb:26:in `on_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/awaits.rb:15:in `on_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/sets_results.rb:14:in `on_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/buffer.rb:38:in `process_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/buffer.rb:31:in `process_envelopes?'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/buffer.rb:20:in `on_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/termination.rb:55:in `on_envelope'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
/opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/behaviour/removes_child.rb:10:in `on_envelope'

Comment 4 Ivan Necas 2018-11-28 09:41:29 UTC
Created redmine issue https://projects.theforeman.org/issues/25566 from this bug

Comment 5 Adam Ruzicka 2018-11-28 09:44:21 UTC
The upstream issue is already closed, moving to POST

Comment 6 Ivan Necas 2018-12-07 14:08:41 UTC
*** Bug 1647979 has been marked as a duplicate of this bug. ***

Comment 10 errata-xmlrpc 2019-05-14 12:39:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.